- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeShading Struct Reference

A shading pattern for the paper background. More...

List of all members.

## Public Types

- enum TType { ENone = 0, EAxial = 2, ERadial = 3 }

## Public Attributes

- TType iType
- IpeColor iColor [2]
- IpeVector iV [2]
- IpeScalar iRadius [2]
- bool iExtend [2]

## Detailed Description

A shading pattern for the paper background.

## Member Enumeration Documentation

enum IpeShading::TType

There are two types of shadings, along an axis or between two circles.

## Member Data Documentation

TType IpeShading::iType

The type of shading: axial or radial.

IpeColor IpeShading::iColor[2]

The extreme colors of the shading.

IpeVector IpeShading::iV[2]

The coordinates of the axis endpoints, or the two circle centers.

IpeScalar IpeShading::iRadius[2]

The radii of the two circles (not used for axial shadings).

bool IpeShading::iExtend[2]

Whether to extend the shading beyond the endpoints.

The documentation for this struct was generated from the following file:

- ipecolor.h